Bug 185314 - devel/rsvndump: Update to version 0.6
Summary: devel/rsvndump: Update to version 0.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-30 21:10 UTC by tkato432
Modified: 2014-01-01 19:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.04 KB, patch)
2013-12-30 21:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-30 21:10:01 UTC
- Update to version 0.6
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-12-31 02:59:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 Danilo Egea Gondolfo freebsd_committer 2014-01-01 19:39:51 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2014-01-01 19:39:54 UTC
Author: danilo
Date: Wed Jan  1 19:39:41 2014
New Revision: 338389
URL: http://svnweb.freebsd.org/changeset/ports/338389

Log:
  - Update from 0.5.8 to 0.6
  - Add LICENSE
  - Add stage support
  
  while here
  - Use options helpers
  - Remove extra spaces from WWW
  
  PR:		ports/185314
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/devel/rsvndump/Makefile
  head/devel/rsvndump/distinfo
  head/devel/rsvndump/pkg-descr

Modified: head/devel/rsvndump/Makefile
==============================================================================
--- head/devel/rsvndump/Makefile	Wed Jan  1 19:21:08 2014	(r338388)
+++ head/devel/rsvndump/Makefile	Wed Jan  1 19:39:41 2014	(r338389)
@@ -2,39 +2,31 @@
 # $FreeBSD$
 
 PORTNAME=	rsvndump
-PORTVERSION=	0.5.8
+PORTVERSION=	0.6
 CATEGORIES=	devel
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Remote Subversion repository dumpfile generator
 
+LICENSE=	GPLv2
+
+LIB_DEPENDS=	libsvn_client-1.so:${PORTSDIR}/devel/subversion
+
+OPTIONS_DEFINE=	DOCS NLS
+
 GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--with-svn=${LOCALBASE}
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
+PLIST_FILES=	bin/rsvndump
 
-.if ${PORT_OPTIONS:MNLS}
-USES+=		gettext
-PLIST_FILES+=		share/locale/de/LC_MESSAGES/rsvndump.mo
-.else
-CONFIGURE_ARGS+=	--disable-nls
-.endif
-CONFIGURE_ARGS+=	--enable-man \
-			--with-svn=${LOCALBASE}
-
-.if ${PORT_OPTIONS:MDOCS}
-MAN1=		rsvndump.1
-.endif
-PLIST_FILES+=	bin/rsvndump
-
-.if ${PORT_OPTIONS:MDOCS}
-BUILD_DEPENDS+=	asciidoc:${PORTSDIR}/textproc/asciidoc \
-		xmlto:${PORTSDIR}/textproc/xmlto
-CONFIGURE_ARGS+=--enable-man
-.else
-CONFIGURE_ARGS+=--disable-man
-.endif
+DOCS_BUILD_DEPENDS=	asciidoc:${PORTSDIR}/textproc/asciidoc \
+			xmlto:${PORTSDIR}/textproc/xmlto
+DOCS_PLIST_FILES=	man/man1/rsvndump.1.gz
+DOCS_CONFIGURE_ENABLE=	man
+
+NLS_USES=		gettext
+NLS_PLIST_FILES=	share/locale/de/LC_MESSAGES/rsvndump.mo
+NLS_CONFIGURE_ENABLE=	nls
 
-BUILD_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
 .include <bsd.port.mk>

Modified: head/devel/rsvndump/distinfo
==============================================================================
--- head/devel/rsvndump/distinfo	Wed Jan  1 19:21:08 2014	(r338388)
+++ head/devel/rsvndump/distinfo	Wed Jan  1 19:39:41 2014	(r338389)
@@ -1,2 +1,2 @@
-SHA256 (rsvndump-0.5.8.tar.gz) = 3b6748eeee7c47ef8c16fe3b987976458ab4e350e8b9f44525a4d153889e2b42
-SIZE (rsvndump-0.5.8.tar.gz) = 239808
+SHA256 (rsvndump-0.6.tar.gz) = bb32d7fc29dee2d34128d0c563d771ab2f1deb4eb704d65a7f2d066856644f1a
+SIZE (rsvndump-0.6.tar.gz) = 262738

Modified: head/devel/rsvndump/pkg-descr
==============================================================================
--- head/devel/rsvndump/pkg-descr	Wed Jan  1 19:21:08 2014	(r338388)
+++ head/devel/rsvndump/pkg-descr	Wed Jan  1 19:39:41 2014	(r338389)
@@ -4,4 +4,4 @@ the format that can be read an written b
 data which is produced can easily be imported into a new Subversion
 repository.
 
-WWW:    http://rsvndump.sourceforge.net/
+WWW: http://rsvndump.sourceforge.net/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"